Skip to main content
POST
/
update
/
{customerId}
/
status
/
{status}
Update customer status
curl --request POST \
  --url https://gateway.varchev.com/customer/update/{customerId}/status/{status} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "id": "<string>",
  "customerType": "Person",
  "customerName": "<string>",
  "customerStatus": "new",
  "categorization": "category1",
  "notifications": [
    {
      "notificationType": "Marketingemails",
      "isEnabled": true
    }
  ],
  "person": {
    "firstName": {
      "name": "<string>",
      "order": 123,
      "abbreviation": "<string>",
      "language": "<string>",
      "native": "<string>",
      "suffix": "<string>",
      "prefix": "<string>"
    },
    "lastName": {
      "name": "<string>",
      "order": 123,
      "abbreviation": "<string>",
      "language": "<string>",
      "native": "<string>",
      "suffix": "<string>",
      "prefix": "<string>"
    },
    "fullName": "<string>",
    "groupId": "<string>",
    "gender": "Male",
    "dateOfBirth": "<string>",
    "placeOfBirth": "<string>",
    "nationality": "<string>",
    "pinCode": "<string>",
    "password": "<string>",
    "email": "<string>",
    "telephoneNumbers": [
      {
        "phoneType": "fixed",
        "operator": "<string>",
        "encoding": "numbers",
        "country": "<string>",
        "number": "<string>",
        "purpose": "<string>"
      }
    ],
    "addresses": [
      {
        "addressPurpose": "<string>",
        "address": {
          "country": "<string>",
          "area": "<string>",
          "zipCode": "<string>",
          "city": "<string>",
          "street": "<string>",
          "streetNumber": [
            "<string>"
          ],
          "building": "<string>",
          "apartment": "<string>",
          "entrance": "<string>",
          "floor": "<string>",
          "doorNumber": "<string>",
          "geoPosition": {
            "latitude": 123,
            "longitude": 123,
            "altitude": 123
          },
          "alternative": {
            "word1": "<string>",
            "word2": "<string>",
            "word3": "<string>"
          },
          "relatedToAddress": [
            {
              "relationType": "near_by",
              "address": "<string>"
            }
          ],
          "additionalData": [
            {
              "name": "<string>",
              "type": "Number",
              "value": "<string>"
            }
          ]
        }
      }
    ],
    "documents": [
      {
        "purpose": "KYB",
        "name": "<string>",
        "documentType": "ID front side",
        "location": "<string>",
        "verificationResponse": "<string>",
        "status": "underverification",
        "metadata": [
          {
            "name": "<string>",
            "type": "Number",
            "value": "<string>"
          }
        ]
      }
    ],
    "SecretQuestion": [
      {
        "question": "<string>",
        "answer": "<string>"
      }
    ]
  },
  "twofa": {
    "targetType": "SMS",
    "targetValue": "<string>",
    "targetCode": "<string>",
    "inputCode": "<string>",
    "codematch": true
  }
}
'
{
  "customer": {
    "id": "<string>",
    "customerType": "Person",
    "customerName": "<string>",
    "customerStatus": "new",
    "categorization": "category1",
    "notifications": [
      {
        "notificationType": "Marketingemails",
        "isEnabled": true
      }
    ],
    "person": {
      "firstName": {
        "name": "<string>",
        "order": 123,
        "abbreviation": "<string>",
        "language": "<string>",
        "native": "<string>",
        "suffix": "<string>",
        "prefix": "<string>"
      },
      "lastName": {
        "name": "<string>",
        "order": 123,
        "abbreviation": "<string>",
        "language": "<string>",
        "native": "<string>",
        "suffix": "<string>",
        "prefix": "<string>"
      },
      "fullName": "<string>",
      "groupId": "<string>",
      "gender": "Male",
      "dateOfBirth": "<string>",
      "placeOfBirth": "<string>",
      "nationality": "<string>",
      "pinCode": "<string>",
      "password": "<string>",
      "email": "<string>",
      "telephoneNumbers": [
        {
          "phoneType": "fixed",
          "operator": "<string>",
          "encoding": "numbers",
          "country": "<string>",
          "number": "<string>",
          "purpose": "<string>"
        }
      ],
      "addresses": [
        {
          "addressPurpose": "<string>",
          "address": {
            "country": "<string>",
            "area": "<string>",
            "zipCode": "<string>",
            "city": "<string>",
            "street": "<string>",
            "streetNumber": [
              "<string>"
            ],
            "building": "<string>",
            "apartment": "<string>",
            "entrance": "<string>",
            "floor": "<string>",
            "doorNumber": "<string>",
            "geoPosition": {
              "latitude": 123,
              "longitude": 123,
              "altitude": 123
            },
            "alternative": {
              "word1": "<string>",
              "word2": "<string>",
              "word3": "<string>"
            },
            "relatedToAddress": [
              {
                "relationType": "near_by",
                "address": "<string>"
              }
            ],
            "additionalData": [
              {
                "name": "<string>",
                "type": "Number",
                "value": "<string>"
              }
            ]
          }
        }
      ],
      "documents": [
        {
          "purpose": "KYB",
          "name": "<string>",
          "documentType": "ID front side",
          "location": "<string>",
          "verificationResponse": "<string>",
          "status": "underverification",
          "metadata": [
            {
              "name": "<string>",
              "type": "Number",
              "value": "<string>"
            }
          ]
        }
      ],
      "SecretQuestion": [
        {
          "question": "<string>",
          "answer": "<string>"
        }
      ]
    },
    "twofa": {
      "targetType": "SMS",
      "targetValue": "<string>",
      "targetCode": "<string>",
      "inputCode": "<string>",
      "codematch": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Path Parameters

customerId
string
required
status
enum<string>[]
required

Customer Status

Available options:
new,
verified,
under_verificaiton,
blacklisted,
under_investigation,
dispute,
on_hold,
bancrupted

Body

application/json
id
string
customerType
enum<string>
Available options:
Person,
Organization
customerName
string
customerStatus
enum<string>
Available options:
new,
verified,
under_verificaiton,
blacklisted,
under_investigation,
dispute,
on_hold,
bancrupted
categorization
enum<string>
Available options:
category1,
category2,
category3
notifications
object[]
person
object
twofa
object

Response

Update customer response

customer
object